Subject: [tsvwg] [Technical Errata Reported] RFC6083 (6323)

From: RFC Errata System <[email-masked]>
Date: Wed, 4 Nov 2020 01:39:30 -0800 (PST)

The following errata report has been submitted for RFC6083,
"Datagram Transport Layer Security (DTLS) for Stream Control Transmission Protocol (SCTP)".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6323

--------------------------------------
Type: Technical
Reported by: Claudio Porfiri <[email-masked]>

Section: 1.1

Original Text
-------------
The maximum user message size is 2^14 bytes, which is the DTLS
      limit.

Corrected Text
--------------
The maximum user message size is limited by the DTLS implementation.

Notes
-----
TLS and DTLS handshake messages can be quite large (in theory up to 2^24-1 bytes, in practice many kilobytes). 
See https://datatracker.ietf.org/doc/draft-ietf-tls-dtls13/?include_text=1
section 3.3 as reference

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6083 (draft-ietf-tsvwg-dtls-for-sctp-06)
--------------------------------------
Title               : Datagram Transport Layer Security (DTLS) for Stream Control Transmission Protocol (SCTP)
Publication Date    : January 2011
Author(s)           : M. Tuexen, R. Seggelmann, E. Rescorla
Category            : PROPOSED STANDARD
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG